summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2016-11-06 08:46:58 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2016-11-06 08:46:58 +0000
commit02cd53cbdce71a8fe6f9cbcf83d16b0391540b29 (patch)
treed8f8458fe1f809b1b86e3cb4ddb2b865178a4246 /bin
parentReleasing debian version 20161101-lts1-1. (diff)
downloadopen-infrastructure-compute-tools-02cd53cbdce71a8fe6f9cbcf83d16b0391540b29.tar.xz
open-infrastructure-compute-tools-02cd53cbdce71a8fe6f9cbcf83d16b0391540b29.zip
Merging upstream version 20161105.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/container-nsenter22
-rwxr-xr-xbin/container-shell2
2 files changed, 23 insertions, 1 deletions
diff --git a/bin/container-nsenter b/bin/container-nsenter
new file mode 100755
index 0000000..7c83361
--- /dev/null
+++ b/bin/container-nsenter
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# container-tools - Manage systemd-nspawn containers
+# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+# Run
+script -c "/bin/bash -l" -q /dev/null
diff --git a/bin/container-shell b/bin/container-shell
index da91c76..9b45f72 100755
--- a/bin/container-shell
+++ b/bin/container-shell
@@ -63,7 +63,7 @@ Shell ()
echo
cd "/usr/lib/${SOFTWARE}/${PROGRAM}"
- echo "$(for COMMAND in about logout *; do echo ${COMMAND}; done | sort)"
+ find . -type f -printf "%f\n" | sort
cd "${OLDPWD}"
echo